package fxMMKurssit;

import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.CheckBoxChooser;
import fi.jyu.mit.fxgui.ListChooser;
import javafx.application.Platform;
//import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.stage.Stage;


/**
 * @author aichi
 * @version 5.2.2025
 *
 */
public class MMKurssitGUIController {
    
    
//=============================================================================
    
    /**
     * Avataan ensin ohjelman käynistysikkuna (ennen avaa pääikkunaa)
     * @return false jos painetaan cancel Ohjelman käynistysikkunalla
     */
    public boolean avaa() {
        
        ModalController.showModal(OhjelmankaynistysGUIController.class.getResource("OhjelmankaynistysGUIView.fxml"), 
                "Missä & Milloin Kurssit", null, "");
        
        return true;
    }

//Attribuutit===================================================================

    @FXML    private ListChooser<?> allCourses;

    @FXML    private Button buttonAddMeeting;
    @FXML    private Button buttonOpenMeeting;

    @FXML    private CheckBox onlyUpcoming;

    @FXML    private Label sectionTitle;

    @FXML    private CheckBoxChooser<?> selectedCourse;

    @FXML    private ListChooser<?> tapaamiset;

    @FXML    private TextField textSearch;
    
//==============================================================================   

    @FXML  void addMeeting() {
        
        ModalController.showModal(LisaaTapaaminenGUIController.class.getResource("LisaaTapaaminenGUIView.fxml"), 
                "Missä ja Milloin Kurssi", null, "");
      }
    

    //TapaaminenTiedot jotain outo? Ei toimi sen takia, että renamed afterwards?
    @FXML    void openMeetingInfo() {
        try {
            FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("TapaaminenTiedotGUIView.fxml"));
            Parent root2 = (Parent) fxmlLoader.load();//tiedostossa jotain vika?
            Stage stage = new Stage();
            stage.setScene(new Scene(root2));
            stage.show();
        } catch(Exception e) {
            System.err.println(e.getMessage());
        }
    }
        
    
    @FXML    void addCourse() {
        ModalController.showModal(KurssinlisaysGUIController.class.getResource("KurssinlisaysGUIView.fxml"), 
                "Missä ja Milloin Kurssi", null, "");
    }
    
    
    @FXML   void openCourseList() {
        //
    }
    
    
    /**
     * Uncheck all the selected courses
     */
    @FXML    void resetSelected() {
        //
    }
    
    
    /**
     * If a user check this checkbox, show only the upcoming meetings on the list
     */
    @FXML    void showUpcomingMeetingsOnly() {
        //
    }
    
    
    @FXML
    void refreshWindow() {
        //
    }
    
    @FXML    void closeProgram() {
        Platform.exit();
    }
//===================================================================================
        
    


    
    
      
}